> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/cost-management-agent-apis/commitment-orchestrator/savings-overview.md).

# Savings Overview

## Get Savings Overview

> Fetches the overall savings, managed, and unmanaged savings for the provided account.

```json
{"openapi":"3.0.1","info":{"title":"Commitment Orchestrator APIs","version":"1.0.0"},"tags":[],"servers":[{"url":"https://app.harness.io/gateway","description":"Production server"}],"paths":{"/accounts/{account_id}/v2/savings/overview":{"post":{"tags":["Savings Overview"],"summary":"Get Savings Overview","description":"Fetches the overall savings, managed, and unmanaged savings for the provided account.","operationId":"GetSavingsOverview","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string"},"description":"Account Identifier for the entity."},{"name":"routingId","in":"query","required":true,"schema":{"type":"string"},"description":"Routing identifier for request processing."},{"name":"start_date","in":"query","required":true,"schema":{"type":"string","format":"date"},"description":"Start date for the savings period."},{"name":"end_date","in":"query","required":true,"schema":{"type":"string","format":"date"},"description":"End date for the savings period."},{"name":"accountIdentifier","in":"query","required":true,"schema":{"type":"string"},"description":"Identifier of the account."}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"service":{"type":"string","enum":["Amazon Relational Database Service","Amazon Elastic Compute Cloud - Compute","VirtualMachines"],"default":"Amazon Elastic Compute Cloud - Compute"}}}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SavingsOverviewResponse"}}}},"400":{"description":"Invalid request parameters"}}}}},"components":{"schemas":{"SavingsOverviewResponse":{"type":"object","properties":{"ts":{"type":"integer","description":"Response timestamp"},"success":{"type":"boolean","description":"Specifies if the operation was successful"},"errors":{"type":"string","description":"Error message, if any"},"response":{"type":"object","properties":{"overall_savings":{"type":"number","format":"double","description":"Total savings amount"},"managed_savings_total":{"type":"number","format":"double","description":"Total managed savings"},"unmanaged_savings_total":{"type":"number","format":"double","description":"Total unmanaged savings"},"savings_plans":{"type":"object","properties":{"managed_savings":{"$ref":"#/components/schemas/SavingsDetails"},"unmanaged_savings":{"$ref":"#/components/schemas/SavingsDetails"},"sp_total":{"type":"number","format":"double","description":"Total savings plan amount"},"sp_percentage":{"type":"number","format":"double","description":"Savings plan percentage"}}},"reserved_instances":{"type":"object","properties":{"managed_savings":{"$ref":"#/components/schemas/SavingsDetails"},"unmanaged_savings":{"$ref":"#/components/schemas/SavingsDetails"},"ri_total":{"type":"number","format":"double","description":"Total reserved instance savings"},"ri_percentage":{"type":"number","format":"double","description":"Reserved instance savings percentage"}}}}}}},"SavingsDetails":{"type":"object","properties":{"total":{"type":"number","format":"double","description":"Total amount of savings"},"percentage":{"type":"number","format":"double","description":"Percentage of savings"}}}}}}
```
